Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157073 - libgcrypt.la explicitely not installed, breaks building gaim-otr
Summary: libgcrypt.la explicitely not installed, breaks building gaim-otr
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: libgcrypt
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 16:37 UTC by Paul Wouters
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-06 21:45:47 UTC


Attachments (Terms of Use)
ligcrypt patch to not delete libgcrypt.la (deleted)
2005-05-06 16:37 UTC, Paul Wouters
no flags Details | Diff

Description Paul Wouters 2005-05-06 16:37:33 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. build
http://www.cypherpunks.ca/otr/binaries/fedora/3/i386/gaim-otr-2.0.1-1.i386.rpm
2.
3.
  
Actual results:

gcc -shared  .libs/otr-plugin.o .libs/ui.o .libs/dialogs.o .libs/gtk-ui.o
.libs/gtk-dialog.o  -lgcrypt -lgpg-error /usr/lib/libotr.so  -m32 -march=i386
-mtune=pentium4 -Wl,-soname -Wl,gaim-otr.so -o .libs/gaim-otr.so
creating gaim-otr.la
/bin/sed: can't read /usr/lib/libgcrypt.la: No such file or directory
libtool: link: `/usr/lib/libgcrypt.la' is not a valid libtool archive
make[1]: *** [gaim-otr.la] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/gaim-otr-2.0.2'

Expected results:

A libgcrypt-devel package with the libgcrypt.la file in it.

Additional info:

Comment 1 Paul Wouters 2005-05-06 16:37:33 UTC
Created attachment 114088 [details]
ligcrypt patch to not delete libgcrypt.la

Comment 2 Paul Wouters 2005-05-06 16:56:42 UTC
oops. patch was made with old/new swapped. sorry

Comment 3 Paul Wouters 2005-05-06 17:27:42 UTC
Duh, the same appies to libgpg-error....

Comment 4 Christian Iseli 2007-01-22 11:00:42 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 5 Matthew Miller 2007-04-06 15:07:21 UTC
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.



Note You need to log in before you can comment on or make changes to this bug.